/*
 * @Author: 樊春春 fanchcho@gmail.com
 * @Date: 2022-07-06 19:12:52
 * @LastEditors: 樊春春 fanchcho@gmail.com
 * @LastEditTime: 2022-08-08 19:56:29
 * @FilePath: /ArmFly/User/bsp/armfly_bsp.c
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
#include "armfly_bsp.h"

void bsp_init(void)
{
    INT8U err;
    net_mutex  = OSMutexCreate(15, &err);
    uart1_mbox = OSMboxCreate(NULL);
    uart3_mbox = OSMboxCreate(NULL);

    InitQueue(&CanQueueCan1);
    InitQueue(&CanQueueCan2);

    // GPIO初始化
    gpio_clock_init();
    interface_init();
    ad7606_init();
    am2303_init();
    dwt_init();
    spi1_init();
    uart1_init();
    uart3_init();
    nor_flash_init();
    lwip_setup();
    LCD_Init();
    key_init();
    // can初始化
    can_network_init();
}
